# Update topology display settings

Canonical: https://docs.shumoku.dev/ja/server/next/api/putTopologiesByIdDisplaySettings
Language: ja
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

このドキュメントは開発中のServerを対象としています。

Shumoku Server API · 0.1.6-beta.4 · Topologies

# Update topology display settings

[OpenAPIソース](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

APIの説明は英語のOpenAPI canonical sourceを表示しています。

```
PUT /api/topologies/{id}/display-settings
```

## 認証

sessionCookie / bearerAuth

## リクエストボディ

`UpdateTopologyDisplaySettings` · application/json · 必須

## レスポンス

| ステータス | 説明 | スキーマ |
| --- | --- | --- |
| `200` | Settings updated | `OkResult` |
| `400` | The request did not match the API contract | `Error` |
| `500` | Operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
